Temp Projects - Tasks #8931

Need All Customers & Vendors Receivable/Payable account details
01/05/2023 07:23 PM - Rijas P

Status: Closed Start date: 01/05/2023
Priority: Immediate Due date:

Assignee: Savad Ibrahim % Done: 90%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Suhail,

Kindly provide all our customers & vendors details with their Receivable or Payable account respectively.

History

#1 - 01/10/2023 04:39 PM - Mohamed Suhail
- Assignee changed from Mohamed Suhail to MUZAMMIL S

Rijas P wrote:
Dear Subhail,

Kindly provide all our customers & vendors details with their Receivable or Payable account respectively.

#2 - 01/16/2023 01:24 PM - Rijas P

Reminder..

#3 - 01/18/2023 08:22 PM - Mohamed Suhail

- File vend_acct.csv added

- File cust_acc.csv added

- Status changed from New to In Progress

- Assignee changed from MUZAMMIL S to Savad Ibrahim
- % Done changed from 0 to 90

Rijas P wrote:

Reminder..

PFAs
Query used for reference

euro=# copy (select cbp.value Customercode,bpgroup.name BPGroup,cbp.name CustomerName,cbp.name2 Customername2,elementvalue.name
AccountReceivable,elementvalue2.name Prepayment from ¢_bpartner cbp join ¢c_bp_group bpgroup on cbp.c_bp_group_id=bpgroup.c_bp_group_id
join ¢_bp_customer_acct customeracct on cbp.c_bpartner_id=customeracct.c_bpartner_id join c_validcombination cvc on
customeracct.c_receivable_acct=cvc.c_validcombination_id join c_validcombination cvc1 on
customeracct.c_prepayment_acct=cvci.c_validcombination_id join c_elementvalue elementvalue on cvc.account_id =
elementvalue.c_elementvalue_id join c_elementvalue elementvalue2 on cvci.account_id=elementvalue2.c_elementvalue_id where
cbp.ad_client_id=1000000 and iscustomer="Y" order by bpgroup.name) to '/tmp/cust_acc.csv' with delimiter ',' csv header;

COPY 1689

euro=# copy (select cbp.value vendorcode,bpgroup.name BPGroup,cbp.name vendorName,cbp.name2 vendorname2,elementvalue.name
AccountPayable,elementvalue2.name Prepayment from c_bpartner cbp join ¢_bp_group bpgroup on cbp.c_bp_group_id=bpgroup.c_bp_group_id join
¢_bp_vendor_acct vendoracct on cbp.c_bpartner_id=vendoracct.c_bpartner_id join c_validcombination cvc on
vendoracct.v_liability_acct=cvc.c_validcombination_id join c_validcombination cvc1 on vendoracct.v_prepayment_acct=cvc1.c_validcombination_id
join c_elementvalue elementvalue on cvc.account_id = elementvalue.c_elementvalue_id join c_elementvalue elementvalue2 on
cvcl.account_id=elementvalue2.c_elementvalue_id where cbp.ad_client_id=1000000 and isvendor="Y" order by bpgroup.name) to
'/tmp/vend_acct.csv' with delimiter ',' csv header;
COPY 167

Savad, Please add option to add these 2 accounts details in Vendor and Customer export csv file

#4 - 01/19/2023 09:58 AM - Savad Ibrahim

- Status changed from In Progress to Bugzilla Created

https://bugzilla.posibolt.com/show_bug.cgi?id=9240

#5 - 01/28/2023 07:19 PM - Rijas P

- Status changed from Bugzilla Created to Closed

Thank you for the report and hope these details will be added to the Customer/Vendor export details shortly.

#6 - 12/14/2023 06:52 PM - Rijas P

Verified in test server

#7 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

vend_acct.csv 16.5 KB 01/18/2023 Mohamed Suhail

cust_acc.csv 178 KB 01/18/2023 Mohamed Suhail
